abstract class Statek{ 
	int numerStatku; 
	int liczbaDzial; 
	long predkoscMax; 
	public abstract int polePowierzchni(); 

	public void informacje(){ 
		System.out.println("Liczba dzial = "+liczbaDzial); 
		System.out.println("Predkosc maksymalna = "+predkoscMax); 
		System.out.println("Numer identyfikacyjny = "+numerStatku); 
	} 
} // koniec abstract class Statek 

class GwiezdnyNiszczyciel extends Statek
{
	int podstawa;
	int wysokosc;
	
	public int polePowierzchni()
	{
		return (podstawa*wysokosc)/2;
	}
	
	GwiezdnyNiszczyciel(int a)
	{
		this.numerStatku=a;
	}
}

class GwiezdnySokol extends Statek
{
	int dlugosc;
	int szerokosc;
	
	public int polePowierzchni()
	{
		return dlugosc*szerokosc;
	}
	
	GwiezdnySokol(int a)
	{
		this.numerStatku=a;
	}
}

public class flota
{ 
	public static void main (String args[])
	{
		GwiezdnyNiszczyciel s1=new GwiezdnyNiszczyciel(1);
		GwiezdnyNiszczyciel s2=new GwiezdnyNiszczyciel(2);
		GwiezdnySokol s3=new GwiezdnySokol(3);
		
		s1.podstawa=10; s1.wysokosc=40; s1.liczbaDzial=2; s1.predkoscMax=1000;
		s2.podstawa=12; s2.wysokosc=50; s2.liczbaDzial=2; s2.predkoscMax=1000;
		s3.dlugosc=40; s3.szerokosc=20; s3.liczbaDzial=10; s3.predkoscMax=700;
		
		s1.informacje();
		s2.informacje();
		s3.informacje();
	}
}